Package Details: gnome-shell-extension-gsconnect-git 54.r11.ga7c3fef6-1

Git Clone URL: https://aur.archlinux.org/gnome-shell-extension-gsconnect-git.git (read-only, click to copy)
Package Base: gnome-shell-extension-gsconnect-git
Description: KDE Connect implementation with GNOME Shell integration
Upstream URL: https://github.com/GSConnect/gnome-shell-extension-gsconnect
Keywords: gnome gsconnect kdeconnect
Licenses: GPL
Conflicts: gnome-shell-extension-gsconnect
Provides: gnome-shell-extension-gsconnect
Submitter: Terence
Maintainer: None
Last Packager: morealaz
Votes: 12
Popularity: 0.83
First Submitted: 2018-09-21 17:18 (UTC)
Last Updated: 2022-11-20 13:20 (UTC)

Dependencies (8)

Required by (1)

Sources (1)

Latest Comments

fr3nchalp4a commented on 2024-03-30 21:32 (UTC)

For the pkgver function, git describe doesn't works on shallow clones. You can inspire you from oh-my-zsh-git that uses a command that works even on shallow clones. The best would be to shallow clone with the prepare function, as we don't need advanced git features like cherry picking or whatever.

SamLukeYes commented on 2022-03-20 13:32 (UTC)

I suppose this should follow the gnome-41 branch instead?

I don't think so. Some users might want to use this git version because they're using the next version of gnome shell, e.g. aur/gnome-shell-git or fcgu/gnome-shell.

q234rty commented on 2022-03-20 12:47 (UTC)

I suppose this should follow the gnome-41 branch instead? Also the upstreaam url should be updated to https://github.com/GSConnect/gnome-shell-extension-gsconnect

Terence commented on 2021-03-21 00:43 (UTC)

@simona are you sure this is my package? It doesn't install this file here.

simona commented on 2021-02-13 17:33 (UTC)

error: failed to commit transaction (conflicting files) gnome-shell-extension-gsconnect-git: /usr/share/glib-2.0/schemas/gschemas.compiled exists in filesystem

<deleted-account> commented on 2018-09-22 18:57 (UTC)

@Terence thank you

Terence commented on 2018-09-22 18:44 (UTC) (edited on 2018-09-22 18:48 (UTC) by Terence)

@optlink, this needs to be fixed upstream. To solve the conflict, remove the meson.add_install_script() part from the meson.build and use makepkg -R

<deleted-account> commented on 2018-09-22 18:27 (UTC)

I can't install it:

error: failed to commit transaction (conflicting files) gnome-shell-extension-gsconnect-git: /usr/share/glib-2.0/schemas/gschemas.compiled exists in filesystem